drop table app.cb_rating
drop table app.cb_note
drop table app.cb_forum
drop table app.cb_user
 

create table app.cb_user (
    id integer not null generated always as identity (start with 1, increment by 1),
    nickname varchar(48) not null,
    email varchar(128) not null,
    password varchar (48) not null,
    primary key (id)
)

create table app.cb_forum (
    id integer not null generated always as identity (start with 1, increment by 1),
    name varchar(48) unique not null,
    description varchar(1024),
    primary key (id)
)

create table app.cb_note (
    id integer not null generated always as identity (start with 1, increment by 1),
    title varchar(256),
    posted timestamp not null default current_timestamp,
    forum_id integer not null 
        references app.cb_forum (id)
        on delete cascade,
    user_id integer not null 
        references app.cb_user (id)
        on delete restrict,
    content long varchar not null,    
    primary key (id)    
)

create table app.cb_rating (
    id integer not null generated always as identity (start with 1, increment by 1),
    rated timestamp not null default current_timestamp,
    note_id integer not null 
        references app.cb_note (id)
        on delete cascade,
    user_id integer not null 
        references app.cb_user (id)
        on delete restrict,
    rating smallint, -- -5 to +5
    comment long varchar,    
    primary key (id)    
)

