// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


package ch.niceideas.communityBoard.web;

import java.util.logging.Level;
import java.util.logging.Logger;

import javax.servlet.http.HttpServletRequest;

import ch.niceideas.communityBoard.data.User;
import ch.niceideas.communityBoard.service.LoginService;

/**
 * This is nothing more that a helper class associated to the 
 * <code>login.jsp</code>. It provides the JSP with the routine required 
 * to actually log the user in. 
 */
public class LoginHelper {
	
	private static final Logger logger = Logger.getLogger(LoginHelper.class.getName());
	
	public static User login (HttpServletRequest request) {
		LoginService loginService = ServiceLocator.lookupBean(LoginService.class, "java:global/CommunityBoard/CommunityBoard_services/LoginService");
		User user = null;
	    String nickname = null;
		if ( (nickname = (String) request.getParameter("nickname")) != null) {
			String password = (String) request.getParameter("password");			
			try {
				user = loginService.login(nickname, password);
				if (user != null) {
					request.getSession().setAttribute(Controller.SESSION_KEY_USER, user);
				}
			} catch (Exception e) {
				logger.log(Level.SEVERE, e.getMessage(), e);				
			}
		}
		return user;
	}

}
