<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.0">
  
<jsp:directive.page import="ch.niceideas.communityBoard.data.Note"/>
<jsp:directive.page import="ch.niceideas.communityBoard.data.Forum"/>
<jsp:directive.page import="java.util.List"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>  
  
<html xmlns="http://www.w3.org/1999/xhtml">
    
<jsp:include page="/WEB-INF/header.jsp">
    <jsp:param value="Forum details" name="pageTitle"/>
</jsp:include>

<body>

<jsp:include page="/WEB-INF/banner.jsp" />    
 
<jsp:declaration>
    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService"); 
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    String forumIdAsString = request.getParameter("forumId");
    Forum forum = null;
    List<Note> notes = null;
    if (forumIdAsString != null) {
        int forumId = Integer.parseInt(forumIdAsString);
        forum = forumService.readForum(forumId);
        notes = forum.getNotes();
    }
    request.setAttribute("forum", forum);
    request.setAttribute("notes", notes);
]]></jsp:scriptlet> 


<center>

<p>&#160;</p>
<p>&#160;</p>

<table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 755px; vertical-align: middle;">
    <center>
        <b>List of Notes from '<jsp:expression>forum.getName()</jsp:expression>'
         : <jsp:expression>notes.size()</jsp:expression> note(s)</b>    
    </center>
</td></tr></table>    
<br />

<table class="decorative" style="width: 755px;"><tr><td><center>
    <div class="scroller" id="scrollerDiv" style="">
    <table class="globalEspacements"><tr><td>
        <c:forEach var="note" items="${notes}">
            <table class="innerDecorative">            
                <tr>
                    <td style="background-color: #EEEEEE; text-align: left; vertical-align: middle; width: 450px;">
                        <b>${note.title}</b>
                        &#160;-&#160;<i>Posted on : ${note.posted}</i> 
                    </td>
                    <td style="background-color: #EEEEEE; text-align: right; vertical-align: middle; width: 210px;">
                        <table class="none"><tr>
                            <td>By : <b>${note.user.nickname}</b></td>
                            <td>&#160;-&#160;</td>
                            <td>Global rating :</td>
                            <td> 
                                <c:choose>
                                    <c:when test="${note.globalRating == -5}"><img class="imageDiv" src="../ratings/bad_5.png"></img></c:when>
                                    <c:when test="${note.globalRating == -4}"><img class="imageDiv" src="../ratings/bad_4.png"></img></c:when>
                                    <c:when test="${note.globalRating == -3}"><img class="imageDiv" src="../ratings/bad_3.png"></img></c:when>
                                    <c:when test="${note.globalRating == -2}"><img class="imageDiv" src="../ratings/bad_2.png"></img></c:when>
                                    <c:when test="${note.globalRating == -1}"><img class="imageDiv" src="../ratings/bad_1.png"></img></c:when>
                                    <c:when test="${note.globalRating == 0}"><img class="imageDiv" src="../ratings/none.png"></img></c:when>
                                    <c:when test="${note.globalRating == 1}"><img class="imageDiv" src="../ratings/good_1.png"></img></c:when>
                                    <c:when test="${note.globalRating == 2}"><img class="imageDiv" src="../ratings/good_2.png"></img></c:when>
                                    <c:when test="${note.globalRating == 3}"><img class="imageDiv" src="../ratings/good_3.png"></img></c:when>
                                    <c:when test="${note.globalRating == 4}"><img class="imageDiv" src="../ratings/good_4.png"></img></c:when>
                                    <c:when test="${note.globalRating == 5}"><img class="imageDiv" src="../ratings/good_5.png"></img></c:when>
                                </c:choose>
                            </td>
                            <td>&#160;(${note.globalRating})</td>
                        </tr></table>
                    </td>
                </tr>             
                
                <tr>
                    <td colspan="2">${note.content}</td>
                </tr>                
                <tr>
                    <td colspan="2">
                        <table class="none" style="width: 100%;"><tr>
                            <td style="text-align: left;">
                                <c:if test="${note.withRatings}">
                                    <a href="noteDetail.do?noteId=${note.id}" class="light">
                                        <table class="none"><tr>
                                            <td style="vertical-align: middle"><img class="imagediv" src="../images/view.png" alt="View" title="View"></img></td>
                                            <td style="vertical-align: middle">&#160;<i>See ratings and comments ...</i>&#160;&#160;</td>                                
                                        </tr></table>
                                    </a>
                                </c:if>
                            </td>    
                            <td style="text-align: right; width: 70px;">
                                <c:if test="${sessionScope['LOGGED_IN_USER'] != null}">
                                    <c:if test="${sessionScope['LOGGED_IN_USER'].id == note.user.id}">
                                        <table class="none"><tr>
                                            <td>
                                                <a href="ratingEdition.do?action=add&#38;amp;noteId=${note.id}&#38;amp;forumId=${forum.id}" class="light">
                                                    <table class="none"><tr>
                                                        <td style="vertical-align: middle"><img class="imagediv" src="../images/new.png" alt="New rating" title="New rating"></img></td>
                                                        <td style="vertical-align: middle">&#160;&#160;&#160;</td>                                
                                                    </tr></table>
                                                </a>
                                            </td><td>                                                                    
                                                <a href="noteEdition.do?action=edit&#38;amp;noteId=${note.id}" class="light">
                                                    <table class="none"><tr>
                                                        <td style="vertical-align: middle"><img class="imagediv" src="../images/edit.png" alt="Edit" title="Edit"></img></td>
                                                        <td style="vertical-align: middle">&#160;&#160;&#160;</td>                                
                                                    </tr></table>
                                                </a>
                                            </td><td>
                                                <a href="noteEdition.do?action=delete&#38;amp;noteId=${note.id}" class="light">
                                                    <table class="none"><tr>
                                                        <td style="vertical-align: middle"><img class="imagediv" src="../images/delete.png" alt="Delete" title="Delete"></img></td>
                                                    </tr></table>
                                                </a>
                                            </td>
                                        </tr></table>
                                    </c:if>         
                                </c:if>                           
                            </td>
                        </tr></table>
                    </td>
                </tr>
                                         
            </table>
            <p />
        </c:forEach>                
        
    </td></tr></table>
    </div>
    
    <p />      
    <center>
        <table class="none" style="width: 692px;"><tr>
            <td>
                <c:if test="${sessionScope['LOGGED_IN_USER'] != null}"> 
                    <a href="noteEdition.do?action=add&#38;amp;forumId=${forum.id}" class="light">
                        <table class="none"><tr>
                            <td style="vertical-align: middle"><img class="imagediv" src="../images/add.png"></img></td>
                            <td style="vertical-align: middle">&#160;Add new note ...</td>
                        </tr></table>
                    </a>
                </c:if>
            </td><td style="text-align: right; width: 120px;">
                <a href="forumList.do" class="light">
                    <table class="none"><tr>
                        <td style="vertical-align: middle"><img class="imagediv" src="../images/back.png"></img></td>
                        <td style="vertical-align: middle">&#160;Back to forum list</td>
                    </tr></table>
                </a>
            </td>
        </tr></table>
        <p />
    </center>
    
</center></td></tr></table>

</center>

<jsp:include page="/WEB-INF/footer.jsp" />    

</body>
</html>
</jsp:root>