<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.0">
<jsp:directive.page import="javax.ejb.EJB"/>
<html xmlns="http://www.w3.org/1999/xhtml">
    
<jsp:directive.page import="ch.niceideas.communityBoard.data.Forum"/>
<jsp:directive.page import="java.util.List"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>

<jsp:include page="/WEB-INF/header.jsp">
    <jsp:param value="Forum list" name="pageTitle"/>
</jsp:include>

<body>

<jsp:include page="/WEB-INF/banner.jsp" />    
 
<jsp:declaration>

    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService"); 
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    List<Forum> forums = forumService.listForums();
    request.setAttribute("forums", forums);
]]></jsp:scriptlet> 


<center>

<p>&#160;</p>
<p>&#160;</p>

<table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 755px; vertical-align: middle;">
    <center>
        <b>List of forums : <jsp:expression>forums.size()</jsp:expression> forum(s)</b>    
    </center>
</td></tr></table>    
<br />

<table class="decorative" style="width: 755px;"><tr><td><center>
    <div class="scroller" id="scrollerDiv" style="">
    <table class="globalEspacements"><tr><td>
        <table class="innerDecorative">
            <tr>
                <td style="background-color: #AAAAAA; width: 180px;"><b>Forum name</b></td>
                <td style="background-color: #AAAAAA; width: 390px;"><b>Forum description</b></td>
                <td style="background-color: #AAAAAA; width: 100px;"><b>Actions</b></td>
            </tr>             
            <c:forEach var="forum" items="${forums}">
                <tr>
                    <td><a class="light" href="forumDetail.do?forumId=${forum.id}">${forum.name}</a></td>
                    <td>${forum.description}</td>
                    <td>
                    	<table class="none"><tr>
                            <c:if test="${sessionScope['LOGGED_IN_USER'] != null}"> 
                                <td>
                            	    <a href="noteEdition.do?action=add&#38;amp;forumId=${forum.id}" class="light">
        		                        <table class="none"><tr>
        					                <td style="vertical-align: middle"><img class="imagediv" src="../images/new.png" alt="New note" title="New note"></img></td>
        					                <td style="vertical-align: middle">&#160;&#160;&#160;</td>				                
        					            </tr></table>
        					        </a>
    				            </td>
                            </c:if>
                            <td>                   
                        	    <a href="forumDetail.do?forumId=${forum.id}" class="light">
    		                        <table class="none"><tr>
    					                <td style="vertical-align: middle"><img class="imagediv" src="../images/view.png" alt="View" title="View"></img></td>
    					                <td style="vertical-align: middle">&#160;&#160;&#160;</td>				                
    					            </tr></table>
    					        </a>
    				        </td>
                            <c:if test="${sessionScope['LOGGED_IN_USER'] != null}"> 
                                <td>
                            	    <a href="forumEdition.do?action=edit&#38;amp;forumId=${forum.id}" class="light">
        		                        <table class="none"><tr>
        					                <td style="vertical-align: middle"><img class="imagediv" src="../images/edit.png" alt="Edit" title="Edit"></img></td>
        					                <td style="vertical-align: middle">&#160;&#160;&#160;</td>				                
        					            </tr></table>
        					        </a>
        				        </td><td>
        				            <a href="forumEdition.do?action=delete&#38;amp;forumId=${forum.id}" class="light">
        					            <table class="none"><tr>
        					                <td style="vertical-align: middle"><img class="imagediv" src="../images/delete.png" alt="Delete" title="Delete"></img></td>
        					            </tr></table>
        					        </a>
        			            </td>
                            </c:if>
                        </tr></table>
                    </td>
                </tr>
            </c:forEach>             
        </table>
    </td></tr></table>
    </div>
     
     <center>
        <p />    
        <table class="none" style="width: 692px;"><tr>
            <td>
                <c:if test="${sessionScope['LOGGED_IN_USER'] != null}">
                    <a href="forumEdition.do?action=add" class="light">
                        <table class="none"><tr>
                            <td style="vertical-align: middle"><img class="imagediv" src="../images/add.png"></img></td>
                            <td style="vertical-align: middle">&#160;Create new forum ...</td>
                        </tr></table>
                    </a>
                </c:if>
            </td><td style="text-align: right; width: 50px;">
                <a href="logoff.do" class="light">
                    <table class="none"><tr>
                        <td style="vertical-align: middle"><img class="imagediv" src="../images/close.png"></img></td>
                        <td style="vertical-align: middle">&#160;Quit</td>
                    </tr></table>
                </a>
            </td>
        </tr></table>
        <p />
    </center>        
            
</center></td></tr></table>

</center>

<jsp:include page="/WEB-INF/footer.jsp" />    

</body>
</html>
</jsp:root>