<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.0">
  
<jsp:directive.page import="ch.niceideas.communityBoard.data.Rating"/>
  
<jsp:directive.page import="ch.niceideas.communityBoard.data.Note"/>
<jsp:directive.page import="java.util.List"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>  
  
<html xmlns="http://www.w3.org/1999/xhtml">
    
<jsp:include page="/WEB-INF/header.jsp">
    <jsp:param value="Note details" name="pageTitle"/>
</jsp:include>

<body>

<jsp:include page="/WEB-INF/banner.jsp" />    
 
<jsp:declaration>
    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService"); 
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    String noteIdAsString = request.getParameter("noteId");
    Note note = null;
    List<Rating> ratings = null;
    if (noteIdAsString != null) {
        int noteId = Integer.parseInt(noteIdAsString);
        note = forumService.readNote(noteId);
        ratings = note.getRatings();
    }
    request.setAttribute("note", note);
    request.setAttribute("ratings", ratings);
]]></jsp:scriptlet> 


<center>

<p>&#160;</p>
<p>&#160;</p>

<table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 755px; vertical-align: middle;">
    <center>
        <b>List of ratings on note '<jsp:expression>note.getTitle()</jsp:expression>'
         : <jsp:expression>ratings.size()</jsp:expression> rating(s)</b>    
    </center>
</td></tr></table>    
<br />

<table class="decorative" style="width: 755px;"><tr><td><center>
    <div class="scroller" id="scrollerDiv" style="">
    <table class="globalEspacements"><tr><td>        
        <c:forEach var="rating" items="${ratings}">  
            <table class="innerDecorative">
                <tr>
                    <td style="background-color: #EEEEEE; text-align: left; vertical-align: middle; width: 600px;">
                        <i>Rated on : ${rating.rated}</i> 
                        &#160;-&#160; by : <b>${rating.user.nickname}</b> 
                    </td>
                    <td style="background-color: #EEEEEE; text-align: right; vertical-align: middle; width: 100px;">
                        <table class="none"><tr>
                            <td>Rating :</td>
                            <td> 
                                <c:choose>
                                    <c:when test="${rating.rating == -5}"><img class="imageDiv" src="../ratings/bad_5.png"></img></c:when>
                                    <c:when test="${rating.rating == -4}"><img class="imageDiv" src="../ratings/bad_4.png"></img></c:when>
                                    <c:when test="${rating.rating == -3}"><img class="imageDiv" src="../ratings/bad_3.png"></img></c:when>
                                    <c:when test="${rating.rating == -2}"><img class="imageDiv" src="../ratings/bad_2.png"></img></c:when>
                                    <c:when test="${rating.rating == -1}"><img class="imageDiv" src="../ratings/bad_1.png"></img></c:when>
                                    <c:when test="${rating.rating == 0}"><img class="imageDiv" src="../ratings/none.png"></img></c:when>
                                    <c:when test="${rating.rating == 1}"><img class="imageDiv" src="../ratings/good_1.png"></img></c:when>
                                    <c:when test="${rating.rating == 2}"><img class="imageDiv" src="../ratings/good_2.png"></img></c:when>
                                    <c:when test="${rating.rating == 3}"><img class="imageDiv" src="../ratings/good_3.png"></img></c:when>
                                    <c:when test="${rating.rating == 4}"><img class="imageDiv" src="../ratings/good_4.png"></img></c:when>
                                    <c:when test="${rating.rating == 5}"><img class="imageDiv" src="../ratings/good_5.png"></img></c:when>
                                </c:choose>
                            </td>
                            <td>&#160;(${rating.rating})</td>
                        </tr></table>
                    </td>
                </tr>             
                
                <tr>
                    <td colspan="2">${rating.comment}</td>
                </tr>
                
                <c:if test="${sessionScope['LOGGED_IN_USER'] != null}">
                    <c:if test="${sessionScope['LOGGED_IN_USER'].id == rating.user.id}">
    	                <tr>
    	                    <td colspan="2">
    	                        <table class="none" style="width: 100%;"><tr>
    	                            <td style="text-align: left;">
    	                               &#160;
    	                            </td>
    	                            <td style="text-align: right; width: 50px;">                                
    	                                <table class="none"><tr>
    			                            <td>                        
    			                                <a href="ratingEdition.do?action=edit&#38;amp;ratingId=${rating.id}&#38;amp;noteId=${rating.note.id}" class="light">
    			                                    <table class="none"><tr>
    			                                        <td style="vertical-align: middle"><img class="imagediv" src="../images/edit.png" alt="Edit" title="Edit"></img></td>
    			                                        <td style="vertical-align: middle">&#160;&#160;&#160;</td>                                
    			                                    </tr></table>
    			                                </a>
    			                            </td><td>
    			                                <a href="ratingEdition.do?action=delete&#38;amp;ratingId=${rating.id}" class="light">
    			                                    <table class="none"><tr>
    			                                        <td style="vertical-align: middle"><img class="imagediv" src="../images/delete.png" alt="Delete" title="Delete"></img></td>
    			                                    </tr></table>
    			                                </a>
    			                            </td>
                                        </tr></table>
                                                                        
    	                            </td>
    	                        </tr></table>
    	                    </td>
    	                </tr>
                    </c:if>
                </c:if>
                
            </table>
            <p />   
        </c:forEach>
    </td></tr></table>
    </div>        
    
    <center>     
        <table class="none" style="width: 692px;"><tr>
            <td>
                <c:if test="${sessionScope['LOGGED_IN_USER'] != null}"> 
                    <a href="ratingEdition.do?action=add&#38;amp;noteId=${note.id}" class="light">
                        <table class="none"><tr>
                            <td style="vertical-align: middle"><img class="imagediv" src="../images/add.png"></img></td>
                            <td style="vertical-align: middle">&#160;Add new rating ...</td>
                        </tr></table>
                    </a>
                </c:if>
            </td><td style="text-align: right; width: 130px;">
                <a href="forumDetail.do?forumId=${note.forum.id}" class="light">
                    <table class="none"><tr>
                        <td style="vertical-align: middle"><img class="imagediv" src="../images/back.png"></img></td>
                        <td style="vertical-align: middle">&#160;Back to forum detail</td>
                    </tr></table>
                </a>
            </td>
        </tr></table>
        <p />
    </center>
                            
</center></td></tr></table>

</center>

<jsp:include page="/WEB-INF/footer.jsp" />    

</body>
</html>
</jsp:root>