// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


package ch.niceideas.communityBoard.service;

import javax.ejb.Local;

import ch.niceideas.communityBoard.data.User;

/**
 * Business Interface for LoginManager
 */
@Local
public interface LoginService {
	
	/**
	 * Performs login This involves finding the user corresponding to the given 
	 * nickname and then checking its password with the one given as argument. 
	 * 
	 * @param nickname the nickname of the user 
	 * @param password the password to check
	 * @return the corresponding user in case he has been found, null otherwise.
	 */
	User login (String nickname, String password) throws LoginException;

}
